#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDebug>
#include <QMainWindow>

#include "NotifyManager.h"
#include "commandwidget.h"
#include "global.h"

namespace QWK {
class WidgetWindowAgent;
class StyleAgent;
}  // namespace QWK

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private:
    void initSignalConnection();
    void initNotifyMessageConnection();
    void initNotifyManager();

    void showMessageSlots(QString message, int type);

    // void installWindowAgent();

private:
    Ui::MainWindow *ui;
    // QWK::WidgetWindowAgent *windowAgent;
    NotifyManager *m_notifyManager = nullptr;
};
#endif  // MAINWINDOW_H
